
Ruby - Bug #1224

Can't install 1.9.1-p0

02/28/2009 05:33 PM - danbaron (Dan Baron)

Status: Closed   

Priority: Normal   

Assignee: yugui (Yuki Sonoda)   

Target version: 1.9.1   

ruby -v: 1.9.1p0 Backport:  

Description

=begin

I am trying to install 1.9.1-p0 on CENTOS Linux 5.2.

I get the following error during "make".

I looked in the file "cont.c", and the error message is correct.

gcc -O2 -g -Wall -Wno-parentheses  -I. -I.ext/include/i686-linux -I./include -I.  -DRUBY_EXPORT   -o cont.o -c cont.c

cont.c:90:6: error: #elif with no expression

cont.c:270:6: error: #elif with no expression

cont.c:317:6: error: #elif with no expression

make: *** [cont.o] Error 1

[root@localhost ruby-1.9.1-p0]#

=end

History

#1 - 02/28/2009 06:27 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Assigned

- Assignee set to yugui (Yuki Sonoda)

- ruby -v changed from 1.8.7 to 1.9.1p0

=begin

Already fixed in the trunk.  Thank you.

=end

#2 - 07/14/2009 12:09 AM - yugui (Yuki Sonoda)

- Status changed from Assigned to Closed

=begin

=end
